[Asus X450CC] Touchpad not working

Bug #1323346 reported by raphaelh on 2014-05-26
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Although the touchpad works without problems under Windows 7, which excludes a hardware problem, it does not work in Xubuntu 14.04. Touchpad listed as "PS/2 Logitech Wheel Mouse" in the output from xinput

Upstream URL: http://www.spinics.net/lists/linux-input/msg31735.html

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-24-generic 3.13.0-24.47
ProcVersionSignature: Ubuntu 3.13.0-24.47-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: caro 1714 F.... pulseaudio
CurrentDesktop: XFCE
Date: Mon May 26 17:37:49 2014
HibernationDevice: RESUME=UUID=f30dff4e-4096-44ed-bfc9-bf94867200c8
InstallationDate: Installed on 2014-05-19 (7 days ago)
InstallationMedia: Xubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140416.2)
MachineType: ASUSTeK COMPUTER INC. X450CC
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-24-generic.efi.signed root=UUID=52aacf3a-ef2c-43e7-a2bc-62e531074b9a ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-24-generic N/A
 linux-backports-modules-3.13.0-24-generic N/A
 linux-firmware 1.127.2
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/12/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: X450CC.210
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: X450CC
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrX450CC.210:bd02/12/2014:svnASUSTeKCOMPUTERINC.:pnX450CC:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX450CC:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: X450CC
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

raphaelh (rhk) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

raphaelh, thank you for reporting this and helping make Ubuntu better. Could you please test the latest upstream kernel available (3.15-rc7) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-3.15-rc7

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: latest-bios-210
description: updated
summary: - Asus X450CC touchpad not working
+ [Asus X450CC] Touchpad not working
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
raphaelh (rhk) wrote :

I've tested with different upstream kernels from http://kernel.ubuntu.com/~kernel-ppa/mainline/, the latest being 3.15-rc7, and the bug is not fixed.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-3.15-rc7

raphaelh, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Triaged
raphaelh (rhk) wrote :

@Christopher: I've sent a mail to <email address hidden> following your advice, but I'm afraid it didn't work, as I am subscribed to the list but never received it, and it doesn't appear in the archive at http://www.spinics.net/lists/linux-input/maillist.html

raphaelh, it's either taking a while to post to the archive, or you didn't send it as plain text.

raphaelh (rhk) wrote :

@Christopher: I send all my emails in plain text, and I have from 2 different mailboxes to be sure some SPAM filter didn't block the domain.

Do I need to add the output of /proc/cpuinfo, /proc/iomem, dmesg,... as attachments? Or to paste it directly in the body of the message?

Quoting from https://wiki.ubuntu.com/Bugs/Upstream/kernel :
>"Do not post any of the Kernel.org information as an attachment when e-mailing a maintainer mailing list. Instead, provide the information word for word in the body of your e-mail."

raphaelh (rhk) wrote :

Thanks for you reply, but this sentence is not very clear for me.

What I understood is that Kernel.org information is the following :

[1.] One line summary of the problem:
[2.] Full description of the problem/report:
[3.] Keywords (i.e., modules, networking, kernel):
...

And as the output of /proc/cpuinfo, /proc/iomem, dmesg,... is quite long, putting it in the body of the email is not very readable.

raphaelh:
<"And as the output of /proc/cpuinfo, /proc/iomem, dmesg,... is quite long, putting it in the body of the email is not very readable."

If one is not an upstream kernel developer, perhaps. However, the full output is preferred by upstream as previously outlined.

raphaelh (rhk) wrote :

I've tried once again with everything in the body of the mail, waited 1 day, and still nothing. I've sent 4 mails to the mailing list and none went through.

So I don't know how to report this upstream.

raphaelh, feel free to post the body of the e-mail here in a comment and it may be reviewed. As well, you may want to review http://vger.kernel.org/majordomo-info.html#taboo for things the mailing list flags as spam and deletes.

raphaelh (rhk) wrote :

I've checked the link http://vger.kernel.org/majordomo-info.html#taboo and from what I read my email should pass the filters. I even tested the blank email to <email address hidden> which works.

I'm posting my email in the following comment.

Thanks!

raphaelh (rhk) wrote :
Download full text (181.9 KiB)

Hi,

Although the touchpad works without problems on Windows 7, which
excludes a hardware problem, it does not work at all under a fresh
install of Xubuntu 14.04. I have to use an external mouse (appearing
as "Logitech G500" in the following attachments) to be able to control
the mouse pointer.

I've tried several kernels, including mainline kernels from
http://kernel.ubuntu.com/~kernel-ppa/mainline/ without success. I'm
currently running 3.15-rc7 mainline still with the same problems.

Suspicious things are:

* The line "psmouse serio4: Failed to enable mouse on isa0060/serio4"
  appearing multiple times in the output from dmesg

* Touchpad listed as "PS/2 Logitech Wheel Mouse" in the output from
  xinput

Please tell me anything I can do to help debugging this issue. Thanks!

-Raphaël

-----------------------------------------------------------------------
$ cat /proc/version
Linux version 3.15.0-031500rc7-generic (apw@gomeisa) (gcc version 4.6.3
(Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201405251935 SMP Sun May 25 23:36:23
UTC 2014
-----------------------------------------------------------------------
$ lsb_release -rd
Description: Ubuntu 14.04 LTS
Release: 14.04
-----------------------------------------------------------------------
$ cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 58
model name : Intel(R) Core(TM) i3-3217U CPU @ 1.80GHz
stepping : 9
microcode : 0x15
cpu MHz : 1733.625
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 0
cpu cores : 2
apicid : 0
initial apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 13
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr
pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe
syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl
xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor
ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic
popcnt tsc_deadline_timer xsave avx f16c lahf_lm ida arat epb xsaveopt
pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms
bogomips : 3591.90
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 1
vendor_id : GenuineIntel
cpu family : 6
model : 58
model name : Intel(R) Core(TM) i3-3217U CPU @ 1.80GHz
stepping : 9
microcode : 0x15
cpu MHz : 1649.250
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 1
cpu cores : 2
apicid : 2
initial apicid : 2
fpu : yes
fpu_exception : yes
cpuid level : 13
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr
pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe
syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl
xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor
ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic
popcnt tsc_deadline_timer xsave avx f16c lahf_lm ida arat epb xsaveopt
pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms
bogomips : 3591.90
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 2
vendor_id : GenuineIntel
cpu fam...

Download full text (62.1 KiB)

raphaelk, your message exceeds 100,000 characters as outlined in http://vger.kernel.org/majordomo-info.html#taboo . As well, you are including way too much irrelevant demsg and xorg output, and including extra, unecessary formatting. Here is how it should look:

Hi, the touchpad of my Asus X450CC doesn't work at all under a fresh install of Xubuntu 14.04 with upstream kernel 3.15-rc7. However, it does work without problems on Windows 7. I have to use an external mouse "Logitech G500" to be able to control the mouse pointer.

-Raphaël

cat /proc/version
Linux version 3.15.0-031500rc7-generic (apw@gomeisa) (gcc version 4.6.3
(Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201405251935 SMP Sun May 25 23:36:23
UTC 2014

lsb_release -rd
Description: Ubuntu 14.04 LTS
Release: 14.04

cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 58
model name : Intel(R) Core(TM) i3-3217U CPU @ 1.80GHz
stepping : 9
microcode : 0x15
cpu MHz : 1733.625
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 0
cpu cores : 2
apicid : 0
initial apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 13
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr
pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe
syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl
xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor
ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic
popcnt tsc_deadline_timer xsave avx f16c lahf_lm ida arat epb xsaveopt
pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms
bogomips : 3591.90
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 1
vendor_id : GenuineIntel
cpu family : 6
model : 58
model name : Intel(R) Core(TM) i3-3217U CPU @ 1.80GHz
stepping : 9
microcode : 0x15
cpu MHz : 1649.250
cache size : 3072 KB
physical id : 0
siblings : 4
core id : 1
cpu cores : 2
apicid : 2
initial apicid : 2
fpu : yes
fpu_exception : yes
cpuid level : 13
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr
pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe
syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl
xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor
ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic
popcnt tsc_deadline_timer xsave avx f16c lahf_lm ida arat epb xsaveopt
pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms
bogomips : 3591.90
clflush size : 64
cache_alignment : 64
address sizes : 36 bits physical, 48 bits virtual
power management:

processor : 2
vendor_id : GenuineIntel
cpu family : 6
model : 58
model name : Intel(R) Core(TM) i3-3217U CPU @ 1.80GHz
stepping : 9
microcode : 0x15
cpu MHz : 1677.375
cache size ...

raphaelh (rhk) wrote :

I've sent this mail verbatim to the mailing list, and again it didn't work. What should I do?

description: updated
raphaelh (rhk) wrote :

Ok, it seems that it finally worked! Thanks Christopher.

Hans de Goede (j-w-r-degoede) wrote :

Hi,

Fixing this is non trivial, supporting these new touchpads likely needs a signicant amount of work (for details see https://bugzilla.redhat.com/show_bug.cgi?id=1110011 ).

In the mean time, I can provide a workaround which should make the touchpad work in ps/2 mouse emulation mode (so no 2 finger scrolling, etc.), and stop it from interfering with an external mouse.

Sounds good? Try booting with "psmouse.proto=bare" on the kernel cmdline.

See: https://wiki.ubuntu.com/Kernel/KernelBootParameters for how to add a parameter to the kernel commandline.

Regards,

Hans

raphaelh (rhk) wrote :

Màrius did a minor modification to the elantech.c source file and now has full support for his touchpad on his Asus s301l :

http://mariusmonton.com/?p=489

He just replaced:
static const unsigned char rates[] = { 200, 100, 80, 60, 40, 20, 10 };

with:
static const unsigned char rates[] = { 200, 100, 80, 60, 40, 21, 10 };

Pilot6 (hanipouspilot) wrote :

The bug has been fixed in

linux-generic-lts-wily package.

Changed in linux (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.